MODULE work
integer n
real(8) h

real(8) lambda, omega, A
real(8), allocatable ::x(:,:)
!real(8), allocatable ::f(:)		! membrii doi

real(8) , allocatable ::x0(:), xEnd(:)	! xanterior = x0

END MODULE work